from visual import *

scene.center=(-15,0,-5)

#Frames for Bike
fcfw=frame()
fhtube=frame(frame=fcfw, pos=(-4.309,14.093,0))
fttube=frame(frame=fhtube, pos=(-1.974,6.455,0))
fstube=frame(frame=fttube, pos=(-21.282,1.467,0))  

fcrank=frame(frame=fstube, pos=(6.681,-21.837,0))
fcbw=frame(frame=fstube, pos=(-9.263,-19.081,0))

#bike
cfw=cylinder(frame=fcfw, axis=(0,0,1), length=0.5, radius=2, color=color.magenta)
fw=ring(frame=fcfw, pos=(0,0,0), axis=(0,0,1), radius=12, thickness=1, color=color.magenta)
forkl=cylinder(frame=fcfw, pos=(0,0,0), axis=(-1,3.27,0), radius=1.2, length=14.74, color=color.magenta)
htube=cylinder(frame=fhtube, pos=(0,0,0), axis =(-1,3.27,0), radius=1.2, length=9.750, color=color.magenta)
rhandlebar=cylinder(frame=fhtube, pos=(-1.974,9.455,0), radius=1, length=4, axis=(0,0,1), color=color.magenta)
lhandlebar=cylinder(frame=fhtube, pos=(-1.974,9.455,0), radius=1, length=4, axis=(0,0,-1), color=color.magenta)
dtube=cylinder(frame=fhtube, pos=(-.5,4.455,0),radius=1.2, axis=(-1,-1.1,0), length=24.147, color=color.magenta)
ttube=cylinder(frame=fttube, axis=(-1,0,0), length=21.282, radius=1.2, color=color.magenta)
stube=cylinder(frame=fstube, axis=(1,-3.27,0), pos=(0,1,0), length=22.835, radius=1.2, color=color.magenta)
seat=ellipsoid(frame=fstube, axis=(1,0,0), pos=(0,2,0), length=8, height=3, width=3, color=color.magenta)
#gr=gear(frame=fcrank, axis=(0,0,1), radius=4, pos=(6.681,)
rcrank=cylinder(frame=fcrank, pos=(0,1,1.5), axis=(0,1,0), length=5, radius=.5, color=color.magenta)
lcrank=cylinder(frame=fcrank, pos=(0,1,-1.5), axis=(0,-1,0), length=5, radius=.5, color=color.magenta)
rpedal=ellipsoid(frame=fcrank, pos=(0,6,3), axis=(0,0,1), length=3, color=color.magenta)
lpedal=ellipsoid(frame=fcrank, pos=(0,-4,-3), axis=(0,0,-1), length=3,color=color.magenta)
sstay=cylinder(frame=fstube, pos=(0,-1,0), axis=(-.57,-1,0), length=20.282, radius=1, color=color.magenta)
cstay=cylinder(frame=fstube, pos=(6.681,-20.837,0), axis=(-1,.129,0), length=16.535, radius=1, color=color.magenta)
bfw=cylinder(frame=fcbw, axis=(0,0,1), length=0.5, radius=2, color=color.magenta)
bwfw=ring(frame=fcbw, pos=(0,-3,0), axis=(0,0,1), radius=12, thickness=1, color=color.magenta)


#frames for man
fpelvis=frame(frame=fstube, pos=(0,4.5,0))
ftorso=frame(frame=fpelvis, pos=(0,1.5,0))
fhead=frame(frame=ftorso, pos=(0,22,0))

frarm=frame(frame=ftorso, pos=(0,14.5,3))
flarm=frame(frame=ftorso, pos=(0,14.5,-3))
frleg=frame(frame=fpelvis, pos=(0,0,3))
flleg=frame(frame=fpelvis, pos=(0,0,-3))
       
#Man
head=sphere(frame=fhead, radius=4)
neck=cylinder(frame=fhead, axis=(0,-1,0), pos=(0,-3,0), length=3, radius=1.5)
shoulder=cylinder(frame=ftorso, axis=(0,0,1), pos=(0,14.5,-3), length=6, radius=1.5)
torso=cylinder(frame=ftorso, axis=(0,1,0), pos=(0,0,0), radius=1.5, length=14)

rshoudler=sphere(frame=frarm, radius=1.5)
uprarm=cylinder(frame=frarm, pos=(1.5,-.5,.5), axis=(1,-1,0), radius=0.8, length=12)
relbow=sphere(frame=frarm, pos=(9.99,-8.99,0.5), radius=1.5)
lorarm=cylinder(frame=frarm, pos=(10.49,-10.49,0.5), axis=(1,-1,0), radius=0.8, length=12)
rhand=sphere(frame=frarm, pos=(18.98,-18.98,.5), radius=1)

lshoudler=sphere(frame=flarm, radius=1.5)
uplarm=cylinder(frame=flarm, pos=(1.5,-.5,-.5), axis=(1,-1,0), radius=0.8, length=12)
lelbow=sphere(frame=flarm, pos=(9.99,-8.99,-0.5), radius=1.5)
lorarm=cylinder(frame=flarm, pos=(10.49,-10.49,-0.5), axis=(1,-1,0), radius=0.8, length=12)
lhand=sphere(frame=flarm, pos=(18.98,-18.98,-.5), radius=1)

pelvis=cylinder(frame=fpelvis, axis=(0,0,1), pos=(0,0,-3), length=6, radius=1.5)
rhip=sphere(frame=frleg, radius=1.5)
rupleg=ellipsoid(frame=frleg, pos=(6.5,-4.5,0), length=14, width=4, height=6, axis=(1.5,-1,0))
rknee=sphere(frame=frleg, pos=(12.235,-7.919,0), radius=1.5)
rloleg=ellipsoid(frame=frleg, pos=(9.735,-13.919,0), length=14, width=4, height=3, axis=(-1,-1.5,0))
rfoot=ellipsoid(frame=frleg, pos=(8.5,-19.537,0), length=5, width=1.5, height=2, axis=(1,0,0))

lhip=sphere(frame=flleg, radius=1.5)
lupleg=ellipsoid(frame=flleg, pos=(2.5,-6.5,0), length=14, width=4, height=6, axis=(.5,-1,0))
lknee=sphere(frame=flleg, pos=(5.735,-13.919,0), radius=1.5)
lloleg=ellipsoid(frame=flleg, pos=(6.235,-22.419,0), length=14, width=4, height=3, axis=(0,-.2,0))
lfoot=ellipsoid(frame=flleg, pos=(8.5,-29.537,0), length=5, width=1.5, height=2, axis=(1,0,0))

track= box(height = 1, length = 100, width = 20, pos=(0,-13.5,0), color=color.green)
